local data = SkillTreeTweakData.init
function SkillTreeTweakData:init(tweak_data)
data(self, tweak_data)
local ps2 = {
upgrades = {"weapon_passive_headshot_damage_multiplier"},
cost = 520,
icon_xy = {1, 0},
name_id = "all_2",
desc_id = "all_2_desc"}
local ps4 = {
upgrades = {"passive_player_xp_multiplier",
"player_passive_suspicion_bonus",
"player_passive_armor_movement_penalty_multiplier"},
cost = 520,
icon_xy = {3, 0},
name_id = "all_4",
desc_id = "all_4_desc"}
local ps6 = {
upgrades = {"armor_kit",
"player_pick_up_ammo_multiplier"},
cost = 520,
icon_xy = {5, 0},
name_id = "all_6",
desc_id = "all_6_desc"}
local ps8 = {
upgrades = {"weapon_passive_damage_multiplier",
"passive_doctor_bag_interaction_speed_multiplier"},
cost = 520,
icon_xy = {7, 0},
name_id = "all_8",
desc_id = "all_8_desc"}
local pc1 = 520
local pc3 = 520
local pc5 = 520
local pc7 = 520
local pc9 = 520
local pdcb = "player_passive_loot_drop_multiplier"
table.insert(self.specializations,{
name_id = "Wick01'name",
desc_id = "Wick01'desc",{
upgrades = {
"player_health_decrease_1", "player_armor_increase_1", "player_perk_armor_regen_timer_multiplier_1"
},
cost = pc1,
texture_bundle_folder = "opera",
icon_xy = {1, 0},
name_id = "Wick01'perk1n",
desc_id = "Wick01'perk1d"},
ps2,{
upgrades = {
"akimbo_recoil_index_addend_4", "player_perk_armor_regen_timer_multiplier_2", "akimbo_extra_ammo_multiplier_3", "player_level_2_dodge_addend_1", "player_level_3_dodge_addend_1", "player_level_4_dodge_addend_1"
},
cost = pc3,
icon_xy = {7, 2},
name_id = "Wick01'perk3n",
desc_id = "Wick01'perk3d"},
ps4,{
upgrades = {
"player_level_2_dodge_addend_2", "player_level_3_dodge_addend_2", "player_level_4_dodge_addend_2", "player_perk_armor_regen_timer_multiplier_3", "berserk_overdrive", "player_movement_speed_damage_health_ratio_multiplier", "player_movement_speed_damage_health_ratio_threshold_multiplier"
},
cost = pc5,
icon_xy = {4, 3},
name_id = "Wick01'perk5n",
desc_id = "Wick01'perk5d"},
ps6,{
upgrades = {
"temporary_armor_break_invulnerable_1", "player_level_2_dodge_addend_3", "player_level_3_dodge_addend_3", "player_level_4_dodge_addend_3", "player_kill_change_regenerate_speed", "weapon_passive_armor_piercing_chance"
},
cost = pc7,
icon_xy = {6, 3},
name_id = "Wick01'perk7n",
desc_id = "Wick01'perk7d"},
ps8,{
upgrades = {
"player_passive_intimidate_range_mul", "player_pick_lock_speed_multiplier", "player_stand_still_crouch_camouflage_bonus_3", "player_crouch_speed_multiplier_2", "player_armor_regen_timer_stand_still_multiplier", "player_damage_dampener_outnumbered_strong", "weapon_passive_swap_speed_multiplier_1", "player_killshot_close_panic_chance", "undying", "player_tier_armor_multiplier_4", "wick_lives",
},
cost = pc9,
icon_xy = {3, 5},
name_id = "Wick01'perk9n",
desc_id = "Wick01'perk9d"}})
end